Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QRubberBand.Shape

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QRubberBand.Shape

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QRubberBand

    public static final class QRubberBand.Shape

extends java.lang.Enum
implements QtEnumerator

This enum specifies what shape a `QRubberBand` should have. This is a drawing hint that is passed down to the style system, and can be interpreted by each `QStyle`.

See Also:
  Serialized Form

Field Summary
`static QRubberBand.Shape` | `Line` A `QRubberBand` can represent a vertical or horizontal line.
`static QRubberBand.Shape` | `Rectangle` A `QRubberBand` can represent a rectangle.

Method Summary
`static QRubberBand.Shape` | `resolve(int value)` Returns the QRubberBand$Shape constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QRubberBand.Shape` | `valueOf(java.lang.String name)`
`static QRubberBand.Shape[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Line

    public static final QRubberBand.Shape Line

  A `QRubberBand` can represent a vertical or horizontal line. Geometry is still given in rect() and the line will fill the given geometry on most styles.

### Rectangle

    public static final QRubberBand.Shape Rectangle

  A `QRubberBand` can represent a rectangle. Some styles will interpret this as a filled (often semi-transparent) rectangle, or a rectangular outline.

Method Detail

### values

    public static QRubberBand.Shape[] values()

### valueOf

    public static QRubberBand.Shape valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QRubberBand.Shape resolve(int value)

  Returns the QRubberBand$Shape constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD